Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
main-page
/
arbitrum
/
batches
/
committed
List committed batches on the main page.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/main-page/arbitrum/batches/committed \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "blocks_count": 1,
      "commitment_transaction": {
        "block_number": 1,
        "hash": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "number": 1,
      "transactions_count": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Response

List of committed Arbitrum batches.

items
BatchForList · object[]
required